Subject: [Zope-dev] How to access the internals of Zope ?
From: Hannu Krosing <[email-masked]>
To: [email-masked]
Date: Thu, 29 Apr 1999 01:36:15 +0300
List-Id: Developers of the Z Object Publishing Environment <zope-dev.zope.org>

How can I access (modify) the DTML for /manage frameset and possibly
other 
management frames ?

I want to make the management screens available through HTTPS only (to
protect 
the innocent from revealing their passwords to sniffers), and I quess it
would 
be trivial by adding something like

<!--#unless HTTPS--><!--#raise "Not Found"--><!--#unless-->

in a few places, but I have'nt been able to find the right places yet.

Is it possible using the management interface, or do I have to access
the 
BoboBase directly?

Or would it be better to hack the UserDB and add a special flag to users
who 
may authenticate through HTTPS only ?

----------------
Hannu

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://www.zope.org/mailman/listinfo/zope-dev

(For non-developer, user-level issues, use the companion list,
[email-masked], http://www.zope.org/mailman/listinfo/zope )